Commit f0fe3d44 authored by Guilhem Saurel's avatar Guilhem Saurel
Browse files

[CMake] workaround boost bind warnings

parent ce760cd2
......@@ -50,6 +50,12 @@ IF(BUILD_PYTHON_INTERFACE)
STRING(REGEX REPLACE "-" "_" PROJECT_NAME_UNDERSCORE ${PROJECT_NAME})
SET(PY_NAME ${PROJECT_NAME_UNDERSCORE})
ADD_PROJECT_DEPENDENCY(dynamic-graph-python 4.0.0 REQUIRED)
IF(Boost_VERSION GREATER 107299 OR Boost_VERSION_MACRO GREATER 107299)
# Silence a warning about a deprecated use of boost bind by boost >= 1.73
# without dropping support for boost < 1.73
ADD_DEFINITIONS(-DBOOST_BIND_GLOBAL_PLACEHOLDERS)
ENDIF()
ENDIF(BUILD_PYTHON_INTERFACE)
ADD_PROJECT_DEPENDENCY(sot-core REQUIRED)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment